Subversion Repositories svn LFS-FR

Compare Revisions

Ignore whitespace Rev 540 → Rev 541

/trunk/blfs/xsoft/xsoft.ent
File deleted
/trunk/blfs/xsoft/graphweb/mozilla/mozilla-intro.xml
File deleted
/trunk/blfs/xsoft/graphweb/mozilla/mozilla-exp.xml
File deleted
/trunk/blfs/xsoft/graphweb/mozilla/mozilla-inst.xml
File deleted
/trunk/blfs/xsoft/graphweb/mozilla/mozilla-desc.xml
File deleted
/trunk/blfs/xsoft/graphweb/mozilla/mozilla-config.xml
File deleted
/trunk/blfs/xsoft/graphweb/mozilla/mozilla.ent
File deleted
/trunk/blfs/xsoft/graphweb/dillo/dillo-config.xml
File deleted
/trunk/blfs/xsoft/graphweb/dillo/dillo.ent
File deleted
/trunk/blfs/xsoft/graphweb/dillo/dillo-intro.xml
File deleted
/trunk/blfs/xsoft/graphweb/dillo/dillo-inst.xml
File deleted
/trunk/blfs/xsoft/graphweb/dillo/dillo-desc.xml
File deleted
/trunk/blfs/xsoft/graphweb/galeon/galeon-inst.xml
File deleted
/trunk/blfs/xsoft/graphweb/galeon/galeon-desc.xml
File deleted
/trunk/blfs/xsoft/graphweb/galeon/galeon-config.xml
File deleted
/trunk/blfs/xsoft/graphweb/galeon/galeon.ent
File deleted
/trunk/blfs/xsoft/graphweb/galeon/galeon-intro.xml
File deleted
/trunk/blfs/xsoft/graphweb/galeon/galeon-exp.xml
File deleted
/trunk/blfs/xsoft/graphweb/firefox/firefox-intro.xml
File deleted
/trunk/blfs/xsoft/graphweb/firefox/firefox-inst.xml
File deleted
/trunk/blfs/xsoft/graphweb/firefox/firefox.ent
File deleted
/trunk/blfs/xsoft/graphweb/firefox.xml
1,10 → 1,173
<?xml version="1.0" encoding="ISO-8859-1"?>
<sect1 id="firefox" xreflabel="MozillaFirefox-&firefox-version;">
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY firefox-download-http "http://ftp.mozilla.org/pub/mozilla.org/firefox/releases/&firefox-version;/source/firefox-&firefox-version;-source.tar.bz2">
<!ENTITY firefox-download-ftp "ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/&firefox-version;/source/firefox-&firefox-version;-source.tar.bz2">
<!ENTITY firefox-md5sum "49c16a71f4de014ea471be81e46b1da8">
<!ENTITY firefox-size "32 MB">
<!ENTITY firefox-buildsize "564 MB">
<!ENTITY firefox-time "11.3 SBU">
]>
 
<sect1 id="firefox" xreflabel="Firefox-&firefox-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="firefox.html" ?>
<title>MozillaFirefox-&firefox-version;</title>
<title>Firefox-&firefox-version;</title>
<indexterm zone="firefox">
<primary sortas="a-Firefox">Firefox</primary></indexterm>
 
&firefox-intro;
&firefox-inst;
<sect2>
<title>Introduction to <application>Firefox</application></title>
 
<para><application>Firefox</application> is a stand-alone browser
based on the <application>Mozilla</application> codebase.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&firefox-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&firefox-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &firefox-md5sum;</para></listitem>
<listitem><para>Download size: &firefox-size;</para></listitem>
<listitem><para>Estimated disk space required:
&firefox-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&firefox-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Firefox</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gtk2"/>,
<xref linkend="libIDL"/> and
<xref linkend="zip"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="libjpeg"/>,
<xref linkend="unzip"/>,
<xref linkend="gnome-vfs"/>,
<xref linkend="libgnome"/>,
<xref linkend="mitkrb"/> or <xref linkend="heimdal"/>
(for the GSSAPI libraries),
<xref linkend="doxygen"/>,
<ulink url="http://xprint.mozdev.org/">Xprint</ulink>,
<ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink> and
<ulink url="http://cairographics.org/">Cairo</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Firefox</application></title>
 
<para>The configuration of <application>Firefox</application> is very similar
to <xref linkend="mozilla"/> and hence the options are not discussed. Refer to
the <xref linkend="mozilla"/> instructions for explanations and additional
configuration information.</para>
 
<para>Compile and install <application>Firefox</application> by
running the following commands:</para>
 
<screen><userinput><command>export MOZILLA_OFFICIAL="1" &amp;&amp;
export BUILD_OFFICIAL="1" &amp;&amp;
export MOZ_PHOENIX="1" &amp;&amp;
./configure --prefix=/usr \
--with-default-mozilla-five-home=/usr/lib/firefox-1.0 \
--with-user-appdir=.firefox \
--with-system-zlib \
--with-system-png \
--enable-application=browser \
--enable-default-toolkit=gtk2 \
--enable-extensions=all,-typeaheadfind \
--enable-crypto \
--enable-xft \
--enable-xinerama \
--enable-optimize \
--enable-reorder \
--enable-strip \
--enable-cpp-rtti \
--enable-single-profile \
--disable-freetype2 \
--disable-accessibility \
--disable-debug \
--disable-tests \
--disable-logging \
--disable-pedantic \
--disable-installer \
--disable-mailnews \
--disable-ldap \
--disable-composer \
--disable-profilesharing &amp;&amp;
make</command></userinput></screen>
 
<para>You should add the <option>--with-system-jpeg</option> switch to the
<command>configure</command> script if you have
<application>libjpeg</application> installed.</para>
 
<para>Now, as the root user:</para>
 
<screen><userinput role='root'><command>make install &amp;&amp;
install -d /usr/include/firefox-&firefox-version;/nss &amp;&amp;
cp -Lf dist/private/nss/*.h dist/public/nss/*.h \
/usr/include/firefox-&firefox-version;/nss</command></userinput></screen>
 
<para>To enable multi-user operation, execute the following as the root
user:</para>
 
<screen><userinput><command>cd /usr/lib/firefox-&firefox-version; &amp;&amp;
export LD_LIBRARY_PATH="$PWD" &amp;&amp;
export MOZILLA_FIVE_HOME="$PWD" &amp;&amp;
./regxpcom &amp;&amp;
./regchrome &amp;&amp;
touch `find . -name *.rdf`</command></userinput></screen>
 
<note><para>You should run <command>/usr/bin/firefox</command> once as the
root user (or any user with write privileges) to create some necessary
additional files in the <filename class='directory'>/usr</filename>
hierarchy.</para></note>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Program</segtitle>
<segtitle>Installed Libraries</segtitle>
<segtitle>Installed Directories</segtitle>
 
<seglistitem>
<seg>firefox</seg>
<seg>Numerous libraries, browser components, plugins, extensions and helper
modules installed in
<filename class='directory'>/usr/lib/firefox-&firefox-version;</filename></seg>
<seg>/usr/bin/defaults, /usr/include/firefox-&firefox-version;,
/usr/lib/firefox-&firefox-version; and
/usr/share/idl/firefox-&firefox-version;</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="firefox-prog">
<term><command>firefox</command></term>
<listitem><para>is the next-generation browser from Mozilla.</para>
<indexterm zone="firefox firefox-prog">
<primary sortas="b-firefox">firefox</primary>
</indexterm></listitem>
</varlistentry>
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/graphweb/dillo.xml
1,12 → 1,162
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY dillo-download-http "http://www.dillo.org/download/dillo-&dillo-version;.tar.bz2">
<!ENTITY dillo-download-ftp "ftp://distro.ibiblio.org/pub/Linux/distributions/sorcerer/sources/dillo/&dillo-version;/dillo-&dillo-version;.tar.bz2">
<!ENTITY dillo-md5sum "ebf17d6cca1fccc8bc80acdf05e736a3">
<!ENTITY dillo-size "423 KB">
<!ENTITY dillo-buildsize "9.5 MB">
<!ENTITY dillo-time "0.19 SBU">
]>
 
<sect1 id="dillo" xreflabel="Dillo-&dillo-version;">
<?dbhtml filename="dillo.html"?>
<title>Dillo-&dillo-version;</title>
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="dillo.html" ?>
<title><application>Dillo</application>-&dillo-version;</title>
<indexterm zone="dillo">
<primary sortas="a-Dillo">Dillo</primary></indexterm>
 
&dillo-intro;
&dillo-inst;
&dillo-config;
&dillo-desc;
<sect2>
<title>Introduction to <application>Dillo</application></title>
 
<para><application>Dillo</application> is a fast, small footprint graphical
browser. Version &dillo-version; is now considered a very stable beta.
<application>Dillo</application> does not support
<application>Java</application>, JavaScript or <acronym>CSS</acronym>, and the
current version does not support <acronym>FTP</acronym>,
<acronym>HTTPS</acronym> or frames. It is, however, very fast
and so is useful on older, slower machines. It supports downloads and can
support cookies.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&dillo-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&dillo-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &dillo-md5sum;</para></listitem>
<listitem><para>Download size: &dillo-size;</para></listitem>
<listitem><para>Estimated disk space required:
&dillo-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&dillo-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Dillo</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="GTK"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="openssl"/>,
<xref linkend="wget"/> (for downloading via <acronym>FTP</acronym>) and
<ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Dillo</application></title>
 
<note><para>Dillo has no mechanism of character set
selection and always uses iso8859-1. If this character set is not
appropriate, replace all occurrences of iso8859-1 to the
desired character set in <filename>src/dw_style.c</filename>.</para></note>
 
<para>Install <application>Dillo</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc/dillo &amp;&amp;
make</command></userinput></screen>
 
<para>Now, as the root user:</para>
 
<screen><userinput role='root'><command>make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Configuring <application>Dillo</application></title>
 
<sect3 id="dillo-config"><title>Config files</title>
 
<para><filename>/etc/dillo/dillorc</filename>,
<filename>/etc/dillo/dpidrc</filename>,
<filename>~/.dillo/*</filename></para>
<indexterm zone="dillo dillo-config">
<primary sortas="e-AA.dillo-star">~/.dillo/*</primary></indexterm>
<indexterm zone="dillo dillo-config">
<primary sortas="e-etc-dillo-dillorc">/etc/dillo/dillorc</primary></indexterm>
<indexterm zone="dillo dillo-config">
<primary sortas="e-etc-dillo-dpidrc">/etc/dillo/dpidrc</primary></indexterm>
</sect3>
 
<sect3><title>Configuration Information</title>
 
<para><application>Dillo</application> stores its configuration in the
system wide <filename>/etc/dillo/dillorc</filename> file and the
<filename class="directory">~/.dillo</filename> directory which is created
automatically when <command>dillo</command> is run for the
first time. Note that cookies are turned off by default. To enable
cookies, edit the <filename>~/.dillo/cookiesrc</filename> file.</para>
</sect3>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Programs</segtitle>
<segtitle>Installed Libraries</segtitle>
<segtitle>Installed Directories</segtitle>
 
<seglistitem>
<seg>dillo, dpid and dpidc</seg>
<seg>None</seg>
<seg>~/.dillo, /etc/dillo and /usr/lib/dillo</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="dillo-prog">
<term><command>dillo</command></term>
<listitem><para>is a <acronym>GTK</acronym>+ graphical <acronym>WWW</acronym>
browser with limited facilities, but a small footprint and runs fast on
slower machines.</para>
<indexterm zone="dillo dillo-prog">
<primary sortas="b-dillo">dillo</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="dpid">
<term><command>dpid</command></term>
<listitem><para>is a <application>Dillo</application> plugin daemon.</para>
<indexterm zone="dillo dpid">
<primary sortas="b-dpid">dpid</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="dpidc">
<term><command>dpidc</command></term>
<listitem><para>is a control program for <command>dpid</command>.</para>
<indexterm zone="dillo dpidc">
<primary sortas="b-dpidc">dpidc</primary>
</indexterm></listitem>
</varlistentry>
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/graphweb/galeon.xml
1,11 → 1,102
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY galeon-download-http "http://prdownloads.sourceforge.net/galeon/galeon-&galeon-version;.tar.bz2">
<!ENTITY galeon-download-ftp " ">
<!ENTITY galeon-md5sum "d04164ebf26c65fdfd23fc1278edfce1">
<!ENTITY galeon-size "3.8 MB">
<!ENTITY galeon-buildsize "79.0 MB">
<!ENTITY galeon-time "1.20 SBU">
]>
 
<sect1 id="galeon" xreflabel="Galeon-&galeon-version;">
<?dbhtml filename="galeon.html"?>
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="galeon.html" ?>
<title>Galeon-&galeon-version;</title>
 
&galeon-intro;
&galeon-inst;
&galeon-desc;
<sect2>
<title>Introduction to <application>Galeon</application></title>
 
<para>The <application>Galeon</application> package contains a
<application><acronym>GNOME</acronym></application> 2 browser that utilizes
the <application>Mozilla</application> gecko rendering engine and
presents the simplest interface possible for a browser.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&galeon-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&galeon-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &galeon-md5sum;</para></listitem>
<listitem><para>Download size: &galeon-size;</para></listitem>
<listitem><para>Estimated disk space required:
&galeon-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&galeon-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Galeon</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeui"/>,
<xref linkend="scrollkeeper"/> and
<xref linkend="mozilla"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="nautilus"/> and <xref linkend="libgtkhtml"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Galeon</application></title>
 
<para>Compiling must be done with the same compiler version and the same
optimization settings that were used on
<application>Mozilla</application>.</para>
 
<para>Install <application>Galeon</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--sysconfdir=/etc/gnome --localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Galeon</application> package contains
<command>galeon</command>,
<command>galeon-config-tool</command> and a
<filename class='libraryfile'>libgaleon-xpcom</filename> component.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>galeon</title>
<para><command>galeon</command> is a
<application><acronym>GNOME</acronym></application> 2 web browser using the
<application>Mozilla</application> rendering and networking engines.</para>
</sect3>
 
<sect3><title>galeon-config-tool</title>
<para><command>galeon-config-tool</command> clears settings, installs schemas,
removes schemas and fixes permissions in the
<application>GConf</application> database.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/graphweb/mozilla.xml
1,13 → 1,381
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY mozilla-download-http "http://ftp.mozilla.org/pub/mozilla.org/mozilla/releases/mozilla&mozilla-version;/source/mozilla-source-&mozilla-version;.tar.bz2">
<!ENTITY mozilla-download-ftp "ftp://ftp.mozilla.org/pub/mozilla.org/mozilla/releases/mozilla&mozilla-version;/source/mozilla-source-&mozilla-version;.tar.bz2">
<!ENTITY mozilla-md5sum "e5994f3e801cd834966367c6a12f8aeb">
<!ENTITY mozilla-size "30 MB">
<!ENTITY mozilla-buildsize "625 MB">
<!ENTITY mozilla-time "13.72 SBU">
 
<!ENTITY mozilla-enigmail-version "0.90.1">
<!ENTITY mozilla-enigmail-md5sum "61deeb21ec7df10de9ad790039063f41">
<!ENTITY mozilla-ipc-version "1.1.2">
<!ENTITY mozilla-ipc-md5sum "4aa272b46c8cbf167dcd49a6d74cf526">
]>
 
<sect1 id="mozilla" xreflabel="Mozilla-&mozilla-version;">
<?dbhtml filename="mozilla.html"?>
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="mozilla.html" ?>
<title>Mozilla-&mozilla-version;</title>
<indexterm zone="mozilla">
<primary sortas="a-Mozilla">Mozilla</primary>
</indexterm>
 
&mozilla-intro;
&mozilla-inst;
&mozilla-exp;
&mozilla-config;
&mozilla-desc;
<sect2>
<title>Introduction to <application>Mozilla</application></title>
 
<para><application>Mozilla</application> is a browser suite, the Open Source
sibling of <application>Netscape</application>. It includes the browser,
composer, mail and news clients, a calendar client and an
<acronym>IRC</acronym> client.</para>
 
<para>The <application>Mozilla</application> project also hosts two subprojects
that aim to satisfy the needs of users who don't need the complete browser
suite or prefer to have separate applications for browsing and e-mail. These
subprojects are
<ulink url="http://www.mozilla.org/products/firefox/">Mozilla Firefox</ulink>,
(a stand-alone browser based on the
<application>Mozilla</application> source code) and <ulink
url="http://www.mozilla.org/products/thunderbird/">Mozilla Thunderbird</ulink>,
(a stand-alone mail client based on the <application>Mozilla</application>
source code). The build instructions for these two applications are discussed
in separate sections:</para>
 
<itemizedlist>
<listitem><para><xref linkend="firefox"/></para></listitem>
<listitem><para><xref linkend="thunderbird"/></para></listitem>
</itemizedlist>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&mozilla-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&mozilla-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum (Mozilla):
&mozilla-md5sum;</para></listitem>
<listitem><para>Download MD5 sum (Enigmail):
&mozilla-enigmail-md5sum;</para></listitem>
<listitem><para>Download MD5 sum (IPC):
&mozilla-ipc-md5sum;</para></listitem>
<listitem><para>Download size: &mozilla-size;</para></listitem>
<listitem><para>Estimated disk space required:
&mozilla-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&mozilla-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
 
<para>To enable the <application>Enigmail</application> extension to the
<application>Mozilla</application> mail client, you'll need to download the
two tarballs below. The <application>Enigmail</application> extension allows
users to access the authentication and encryption features provided by the
<application>GnuPG</application> package.</para>
 
<itemizedlist spacing='compact'>
<listitem><para><ulink
url="http://downloads.mozdev.org/enigmail/src/enigmail-&mozilla-enigmail-version;.tar.gz"/>
</para></listitem>
<listitem><para><ulink
url="http://downloads.mozdev.org/enigmail/src/ipc-&mozilla-ipc-version;.tar.gz"/>
</para></listitem>
</itemizedlist>
</sect3>
 
<sect3><title><application>Mozilla</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="zip"/>,
<xref linkend="gtk2"/>,
<xref linkend="libIDL"/></para>
</sect4>
 
<sect4><title>Recommended</title>
<para><xref linkend="gnupg"/> (for the <application>Enigmail</application>
extension)</para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="libjpeg"/>,
<xref linkend="unzip"/>,
<xref linkend="gnome-vfs"/>,
<xref linkend="libart_lgpl"/>,
<xref linkend="heimdal"/> or <xref linkend="mitkrb"/>
(for the GSSAPI libraries),
<xref linkend="doxygen"/>,
<ulink url="http://xprint.mozdev.org/">Xprint</ulink>,
<ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink> and
<ulink url="http://cairographics.org/">Cairo</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Mozilla</application></title>
 
<para>Compile <application>Mozilla</application> by running the following
commands:</para>
 
<screen><userinput><command>export MOZILLA_OFFICIAL="1" &amp;&amp;
export BUILD_OFFICIAL="1" &amp;&amp;
./configure --prefix=/usr \
--with-default-mozilla-five-home=/usr/lib/mozilla \
--with-system-zlib \
--with-system-png \
--enable-application=suite \
--enable-default-toolkit=gtk2 \
--enable-extensions=all \
--enable-crypto \
--enable-xft \
--enable-xinerama \
--enable-optimize \
--enable-reorder \
--enable-strip \
--enable-cpp-rtti \
--enable-calendar \
--disable-freetype2 \
--disable-accessibility \
--disable-debug \
--disable-tests \
--disable-logging \
--disable-pedantic \
--disable-installer &amp;&amp;
make</command></userinput></screen>
 
<para>You should add the <option>--with-system-jpeg</option> switch to the
<command>configure</command> script if you have
<application>libjpeg</application> installed.</para>
 
<para>If you're building the <application>Mozilla</application> mail and news
clients and plan to install the <application>Enigmail</application>
extension, execute the following steps:</para>
 
<screen><userinput><command>tar -zxf ../enigmail-&mozilla-enigmail-version;.tar.gz -C extensions &amp;&amp;
tar -zxf ../ipc-&mozilla-ipc-version;.tar.gz -C extensions &amp;&amp;
build/autoconf/make-makefile extensions/ipc extensions/enigmail &amp;&amp;
make -C extensions/ipc &amp;&amp;
make -C extensions/enigmail</command></userinput></screen>
 
<para>Install <application>Mozilla</application> (as the root user) as
follows:</para>
 
<screen><userinput role='root'><command>make install &amp;&amp;
install -d -m755 /usr/include/mozilla-&mozilla-version;/nss &amp;&amp;
cp -Lf dist/private/nss/*.h dist/public/nss/*.h \
/usr/include/mozilla-&mozilla-version;/nss &amp;&amp;
ln -nsf mozilla-&mozilla-version; /usr/include/mozilla &amp;&amp;
if [ -d /usr/lib/mozilla/plugins ]; then
mv /usr/lib/mozilla/plugins/* /usr/lib/mozilla-&mozilla-version;/plugins
rm -rf /usr/lib/mozilla
fi &amp;&amp;
ln -nsf mozilla-&mozilla-version; /usr/lib/mozilla</command></userinput></screen>
 
<para>If you're installing the <application>Enigmail</application> extension,
issue the following commands as the root user:</para>
 
<screen><userinput role='root'><command>make -C extensions/ipc install &amp;&amp;
make -C extensions/enigmail install</command></userinput></screen>
 
<para>Some libraries, including the Netscape Portable Runtime
(<acronym>NSPR</acronym>) and Network Security Services
(<acronym>NSS</acronym>) libraries, installed by
<application>Mozilla</application> are also needed by other packages. These
libraries should be in <filename>/usr/lib</filename> so that other packages
can link against them. As the root user, move them as follows:</para>
 
<screen><userinput role='root'><command>for i in \
lib{nspr4,plc4,plds4,nss3,smime3,softokn3,ssl3}.so libsoftokn3.chk
do
mv /usr/lib/mozilla-&mozilla-version;/$i /usr/lib/
ln -sf ../$i /usr/lib/mozilla-&mozilla-version;/
done</command></userinput></screen>
 
<para>Create the required component registries to enable multi-user installs.
These steps should be preformed by the root user each time a
<application>Mozilla</application> add-on is installed. This will allow normal
users to run <command>mozilla</command>. Enable multi-user operation by
executing the following:</para>
 
<screen><userinput role='root'><command>cd /usr/lib/mozilla-&mozilla-version; &amp;&amp;
export LD_LIBRARY_PATH="$PWD" &amp;&amp;
export MOZILLA_FIVE_HOME="$PWD" &amp;&amp;
./regxpcom &amp;&amp;
./regchrome &amp;&amp;
touch `find . -name *.rdf`</command></userinput></screen>
 
<note><para>You should run <command>/usr/bin/mozilla</command> once as the
root user (or any user with write privileges) to create some necessary
additional files in the <filename class='directory'>/usr</filename>
hierarchy.</para></note>
 
</sect2>
 
<sect2>
<title>Optional Extra Switches</title>
 
<para>You may wish to run <command>./configure --help</command> and review
each of the listed options to discover what affect they have on the build.
Feel free to add or remove options to tailor the build to your desires.
Listed below are some common options not listed above but can be added to
the <command>configure</command> command in order to have the described effect
on the <application>Mozilla</application> compile.</para>
 
<para><option>--with-system-jpeg</option>: Uses the system-installed copy of
<application>libjpeg</application> instead of the bundled copy.</para>
 
<para><option>--enable-elf-dynstr-gc</option>: Removes un-referenced
strings from <acronym>ELF</acronym> shared objects generated during the build.
Note that this option breaks the build on alpha.</para>
 
<para><option>--disable-mailnews</option>: Disables the mail and news
clients.</para>
 
<para><option>--disable-ldap</option>: Disables <acronym>LDAP</acronym>
support, recommended if mail is disabled.</para>
 
<para><option>--enable-xterm-updates</option>: Displays the current command
in the <command>xterm</command> window title during the compilation.</para>
 
<para><option>--enable-plaintext-editor-only</option>: Disables support
for <acronym>HTML</acronym> editing. Do not use this switch if you are
building the mail-news component.</para>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><command>export MOZILLA_OFFICIAL="1";
export BUILD_OFFICIAL="1"</command>: Set some variables that affect what and
how the package is built. These two exports specify a distribution is being
built.</para>
 
<para><parameter>--with-default-mozilla-five-home=/usr/lib/mozilla</parameter>:
Sets the default value for <envar>MOZILLA_FIVE_HOME</envar>.</para>
 
<para><parameter>--with-system-zlib --with-system-png </parameter>: Use the
system-installed versions of these packages.</para>
 
<para><parameter>--enable-application=suite</parameter>: Identifies the build
as a <application>Mozilla</application> suite build.</para>
 
<para><parameter>--enable-default-toolkit=gtk2</parameter>: Use the
<acronym>GTK</acronym>2 toolkit for graphics rendering.</para>
 
<para><parameter>--enable-extensions=all</parameter>: Enables all available
extensions. If you want, you can disable any or all extensions other than the
browser by changing this switch to
<parameter>--enable-extensions="default,-venkman,-inspector,..."</parameter>.
For a short description of the various extensions available with the
<application>Mozilla</application> source, see
<ulink
url="http://linuxfromscratch.org/~tushar/downloads/mozilla-extensions.txt"/>.
</para>
 
<para><parameter>--enable-crypto</parameter>: Enable the Personal
Security Manager to enable <acronym>SSL</acronym> connections.</para>
 
<para><parameter>--enable-calendar</parameter>: Builds the calendar
application. Removed this parameter if you don't wish to build it.</para>
<para><parameter>--enable-xft; --disable-freetype2</parameter>: Enable Xft
support which automatically pulls in the <application>FreeType</application>
libraries.</para>
 
<para><parameter>--enable-xinerama; --enable-optimize; --enable-reorder;
--enable-strip; --enable-cpp-rtti --disable-accessibility; --disable-debug;
--disable-tests; --disable-logging; --disable-pedantic;
--disable-installer</parameter>: Various options that affect what components
are built and some optimization options. You can pick and choose from these
options. More information on them, and many other available options, can be
found by running <command>./configure --help</command>.</para>
 
<para><command>install -d /usr/include/mozilla-&mozilla-version;/nss;
cp -Lf ...</command>: Copy the <acronym>NSS</acronym> interface headers that
are not copied by <command>make install</command>.</para>
 
<para><command>if [ -d /usr/lib/mozilla/plugins ] ... fi</command>: Some
applications may have already installed <application>Mozilla</application>
plugins. This set of commands move any existing plugins to the newly created
plugin directory, then removes the existing
<filename class='directory'>/usr/lib/mozilla</filename> directory.</para>
 
<para><command>ln -nsf mozilla-&mozilla-version; ...</command>:
<application>Mozilla</application> installs headers and libraries in version
specific directories. These commands makes symbolic links so that applications
depending on <application>Mozilla</application> (such as
<application>OpenOffice</application>, <application>Galeon</application>,
etc.) don't need to know which version of <application>Mozilla</application>
is installed.</para>
 
</sect2>
 
<sect2>
<title>Configuring <application>Mozilla</application></title>
 
<para>No specific configuration is required as long as the
<command>mozilla</command> script is in the user's path. If
<application>Mozilla</application> is installed in a non-standard location,
then make a symlink to the <command>mozilla</command> script from
<filename class="directory">/usr/bin</filename>.</para>
 
<para>Many applications look for <command>netscape</command> when they need to
open a browser. You may make the following symlink for convenience (as the
root user).</para>
 
<screen><userinput role='root'><command>ln -sf mozilla /usr/bin/netscape</command></userinput></screen>
 
<para>For installing various <application>Mozilla</application> plugins, refer
to <ulink url="http://plugindoc.mozdev.org/linux.html">Mozdev's PluginDoc
Project</ulink>.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Program</segtitle>
<segtitle>Installed Libraries</segtitle>
<segtitle>Installed Directories</segtitle>
 
<seglistitem>
<seg>mozilla</seg>
<seg>Numerous libraries, browser and email/newsgroup components, plugins,
extensions and helper modules installed in
<filename class='directory'>/usr/lib/mozilla-&mozilla-version;</filename></seg>
<seg>/usr/include/mozilla-&mozilla-version;,
/usr/lib/mozilla-&mozilla-version; and
/usr/share/idl/mozilla-&mozilla-version;</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="mozilla-prog">
<term><command>mozilla</command></term>
<listitem><para>is a browser/email/newsgroup/calendar/chat client suite. The
various components such as the Composer, mail-news client, calendar,
<acronym>IRC</acronym> chat client and address book can be accessed from the
menu after <command>mozilla</command> starts or via command-line switches to
the <command>mozilla</command> script. Issue <command>man mozilla</command>
for additional information.</para>
<indexterm zone="mozilla mozilla-prog">
<primary sortas="b-mozilla">mozilla</primary>
</indexterm></listitem>
</varlistentry>
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/graphweb/konq.xml
1,10 → 1,20
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<sect1 id="konq" xreflabel="Konqueror-&kde-version;">
<?dbhtml filename="konq.html"?>
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="konq.html" ?>
<title>Konqueror-&kde-version;</title>
 
<para>Konqueror est le navigateur web par défaut pour l'environnement de burau
KDE. Il est installé avec <xref linkend="kdebase"/>.</para>
<para><command>konqueror</command> is the default graphical web browser for the
<acronym>KDE</acronym> desktop environment. It is packaged and installed with
<xref linkend="kdebase"/>.</para>
 
</sect1>
 
/trunk/blfs/xsoft/graphweb/graphweb.xml
1,16 → 1,21
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<chapter id="xsoft-graphweb">
<?dbhtml filename="graphweb.html"?>
<title>Navigateurs Web graphiques</title>
<?dbhtml filename="graphweb.html" ?>
<title>Graphical Web Browsers</title>
 
<para>Ce chapitre contient une sélection magnifique de navigateurs. Nous
espérons que vous y trouverez celui que vous appréciez ou les testerez tous.
</para>
<para>This chapter contains a wonderful selection of browsers. We hope
you can find one you enjoy using or give them each a trial run.</para>
 
&mozilla;
&firefox;
&galeon;
&xsoft-graphweb-konq;
&dillo;
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="mozilla.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="firefox.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="galeon.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="konq.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="dillo.xml"/>
 
</chapter>
/trunk/blfs/xsoft/other/balsa/balsa-config.xml
File deleted
/trunk/blfs/xsoft/other/balsa/balsa.ent
File deleted
/trunk/blfs/xsoft/other/balsa/balsa-intro.xml
File deleted
/trunk/blfs/xsoft/other/balsa/balsa-exp.xml
File deleted
/trunk/blfs/xsoft/other/balsa/balsa-inst.xml
File deleted
/trunk/blfs/xsoft/other/balsa/balsa-desc.xml
File deleted
/trunk/blfs/xsoft/other/thunderbird/thunderbird.ent
File deleted
/trunk/blfs/xsoft/other/thunderbird/thunderbird-intro.xml
File deleted
/trunk/blfs/xsoft/other/thunderbird/thunderbird-inst.xml
File deleted
/trunk/blfs/xsoft/other/pan/pan.ent
File deleted
/trunk/blfs/xsoft/other/pan/pan-intro.xml
File deleted
/trunk/blfs/xsoft/other/pan/pan-inst.xml
File deleted
/trunk/blfs/xsoft/other/pan/pan-desc.xml
File deleted
/trunk/blfs/xsoft/other/other.xml
1,13 → 1,19
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<chapter id="xsoft-other">
<?dbhtml filename="other.html"?>
<title>Autres Programmes Internet basés sur X</title>
<?dbhtml filename="other.html" ?>
<title>Other X-based Internet Programs</title>
 
<para>L'Internet n'est pas uniquement un navigateur. Voici quelques applications
graphiques qui utilisent d'autres aires de l'Internet.</para>
<para>The Internet isn't just about browsing. Here are more graphical
applications that utilize other areas of the Internet.</para>
 
&thunderbird;
&pan;
&balsa;
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="thunderbird.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="pan.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="balsa.xml"/>
 
</chapter>
/trunk/blfs/xsoft/other/balsa.xml
1,13 → 1,144
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY balsa-download-http "http://balsa.gnome.org/balsa-&balsa-version;.tar.bz2">
<!ENTITY balsa-download-ftp " ">
<!ENTITY balsa-md5sum "6179fadbfc5cca642dac081519acef25">
<!ENTITY balsa-size "2.9 MB">
<!ENTITY balsa-buildsize "45.9 MB">
<!ENTITY balsa-time "0.67 SBU">
]>
 
<sect1 id="balsa" xreflabel="Balsa-&balsa-version;">
<?dbhtml filename="balsa.html"?>
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="balsa.html" ?>
<title>Balsa-&balsa-version;</title>
 
&balsa-intro;
&balsa-inst;
&balsa-exp;
&balsa-config;
&balsa-desc;
<sect2>
<title>Introduction to <application>Balsa</application></title>
 
<para>The <application>Balsa</application> package contains a
<application><acronym>GNOME</acronym></application> 2 based mail client.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&balsa-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&balsa-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &balsa-md5sum;</para></listitem>
<listitem><para>Download size: &balsa-size;</para></listitem>
<listitem><para>Estimated disk space required:
&balsa-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&balsa-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Balsa</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="libgnomeprintui"/>,
<xref linkend="scrollkeeper"/>,
<xref linkend="aspell"/>,
<xref linkend="libesmtp"/> and
<ulink url="http://spruce.sourceforge.net/gmime/">GMime >= 2.1.9</ulink></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="libgtkhtml"/>,
<xref linkend="openssl"/>,
<xref linkend="openldap"/>,
<xref linkend="pcre"/>,
<xref linkend="procmail"/>,
<xref linkend="sendmail"/> (or other
<ulink url="../server/mail.html">MTA</ulink> that links to
<command>/usr/sbin/sendmail</command>),
<xref linkend="heimdal"/> or <xref linkend="mitkrb"/>,
<ulink url="http://www.sqlite.org/">SQLite</ulink>,
<ulink url="http://www.gnupg.org/download/index.html#gpgme">GPGME</ulink> and
<ulink
url="http://www.gnupg.org/download/index.html#gnupg2">GnuPG-1.9.x</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Balsa</application></title>
 
<para>Install <application>Balsa</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
<application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><option>--with-ssl</option>: Use this option to enable
<acronym>SSL</acronym> support if
<application>Open<acronym>SSL</acronym></application> is installed.</para>
 
<para><option>--with-ldap</option>: Use this option to enable
<acronym>LDAP</acronym> address book support if
<application>Open<acronym>LDAP</acronym></application> is installed.</para>
 
<para><option>--with-gpgme</option>: Use this option to enable
<acronym>GPG</acronym> support if
<quote><application>GnuPG</application> Made Easy</quote>
(<application><acronym>GPGME</acronym></application>) is installed.</para>
 
<para><option>--enable-smime</option>: Use this option to enable
S/<acronym>MIME</acronym> support if <application>GnuPG-1.9.x</application>
is installed.</para>
 
</sect2>
 
<sect2>
<title>Configuring <application>Balsa</application></title>
 
<sect3><title>Configuration Information</title>
 
<para>All configuration of <application>Balsa</application> is done through
the <application>Balsa</application> menu system, with mailbox configuration
done with the Settings&mdash;&gt;Preferences menu.</para>
</sect3>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The Balsa package contains <command>balsa</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>balsa</title>
<para><command>balsa</command> is a
<application><acronym>GNOME</acronym></application> 2 based mail client.</para>
</sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/other/thunderbird.xml
1,10 → 1,228
<?xml version="1.0" encoding="ISO-8859-1"?>
<sect1 id="thunderbird" xreflabel="MozillaThunderbird-&thunderbird-version;">
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY thunderbird-download-http "http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;-source.tar.bz2">
<!ENTITY thunderbird-download-ftp "ftp://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/&thunderbird-version;/source/thunderbird-&thunderbird-version;-source.tar.bz2">
<!ENTITY thunderbird-md5sum "232ffe434fd65f5f0284a760d6e4ba2a">
<!ENTITY thunderbird-size "33 MB">
<!ENTITY thunderbird-buildsize "608 MB">
<!ENTITY thunderbird-time "12.38 SBU">
 
<!ENTITY thunderbird-enigmail-version "0.90.1">
<!ENTITY thunderbird-enigmail-download "http://downloads.mozdev.org/enigmail/src/enigmail-&thunderbird-enigmail-version;.tar.gz">
<!ENTITY thunderbird-enigmail-md5sum "61deeb21ec7df10de9ad790039063f41">
 
<!ENTITY thunderbird-ipc-version "1.1.2">
<!ENTITY thunderbird-ipc-download "http://downloads.mozdev.org/enigmail/src/ipc-&thunderbird-ipc-version;.tar.gz">
<!ENTITY thunderbird-ipc-md5sum "4aa272b46c8cbf167dcd49a6d74cf526">
]>
 
<sect1 id="thunderbird" xreflabel="Thunderbird-&thunderbird-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="thunderbird.html" ?>
<title>MozillaThunderbird-&thunderbird-version;</title>
<title>Thunderbird-&thunderbird-version;</title>
<indexterm zone="thunderbird">
<primary sortas="a-Thunderbird">Thunderbird</primary></indexterm>
 
&thunderbird-intro;
&thunderbird-inst;
<sect2>
<title>Introduction to <application>Thunderbird</application></title>
 
<para><application>Thunderbird</application> is a stand-alone
mail/news client based on the <application>Mozilla</application>
codebase.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&thunderbird-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&thunderbird-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum (Thunderbird):
&thunderbird-md5sum;</para></listitem>
<listitem><para>Download MD5 sum (Enigmail):
&thunderbird-enigmail-md5sum;</para></listitem>
<listitem><para>Download MD5 sum (IPC):
&thunderbird-ipc-md5sum;</para></listitem>
<listitem><para>Download size: &thunderbird-size;</para></listitem>
<listitem><para>Estimated disk space required:
&thunderbird-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&thunderbird-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
 
<para>To enable the <application>Enigmail</application> extension to the
<application>Thunderbird</application> mail client, you'll need to download the
two tarballs below. The <application>Enigmail</application> extension allows
users to access the authentication and encryption features provided by the
<application>GnuPG</application> package.</para>
 
<itemizedlist spacing='compact'>
<listitem><para><ulink url="&thunderbird-enigmail-download;"/></para></listitem>
<listitem><para><ulink url="&thunderbird-ipc-download;"/></para></listitem>
</itemizedlist>
</sect3>
 
<sect3><title><application>Thunderbird</application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="zip"/>,
<xref linkend="gtk2"/> and
<xref linkend="libIDL"/></para>
</sect4>
 
<sect4><title>Recommended</title>
<para><xref linkend="gnupg"/> (for the <application>Enigmail</application>
extension)</para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="libjpeg"/>,
<xref linkend="unzip"/>,
<xref linkend="gnome-vfs"/>,
<xref linkend="libgnome"/>,
<xref linkend="mitkrb"/> or <xref linkend="heimdal"/>
(for the GSSAPI libraries),
<xref linkend="doxygen"/>,
<ulink url="http://xprint.mozdev.org/">Xprint</ulink>,
<ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink>
and <ulink url="http://cairographics.org/">Cairo</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Thunderbird</application></title>
 
<para>The configuration of <application>Thunderbird</application> is
very similar to <xref linkend="mozilla"/> and hence the options will not be
discussed. Refer to the <xref linkend="mozilla"/> instructions for
explanations and additional configuration information.</para>
 
<para>Compile <application>Thunderbird</application> by
running the following commands:</para>
 
<screen><userinput><command>export MOZILLA_OFFICIAL="1" &amp;&amp;
export BUILD_OFFICIAL="1" &amp;&amp;
export MOZ_THUNDERBIRD="1" &amp;&amp;
./configure --prefix=/usr \
--with-default-mozilla-five-home=/usr/lib/thunderbird-&thunderbird-version; \
--with-system-zlib \
--with-system-png \
--enable-application=mail \
--enable-default-toolkit=gtk2 \
--enable-extensions=wallet,spellcheck,xmlextras,webservices \
--enable-crypto \
--enable-xft \
--enable-xinerama \
--enable-optimize \
--enable-reorder \
--enable-strip \
--enable-cpp-rtti \
--enable-single-profile \
--enable-necko-protocols=http,file,jar,viewsource,res,data \
--enable-image-decoders=default,-xbm \
--disable-freetype2 \
--disable-accessibility \
--disable-debug \
--disable-tests \
--disable-logging \
--disable-pedantic \
--disable-installer \
--disable-profilesharing \
--disable-mathml \
--disable-oji \
--disable-plugins \
--disable-necko-disk-cache &amp;&amp;
make</command></userinput></screen>
 
<para>You should add the <option>--with-system-jpeg</option> switch to the
<command>configure</command> script if you have
<application>libjpeg</application> installed.</para>
 
<para>If you're building the <application>Enigmail</application> extension,
execute the following steps:</para>
 
<screen><userinput><command>tar -zxf ../enigmail-&thunderbird-enigmail-version;.tar.gz -C extensions &amp;&amp;
tar -zxf ../ipc-&thunderbird-ipc-version;.tar.gz -C extensions &amp;&amp;
build/autoconf/make-makefile extensions/ipc extensions/enigmail &amp;&amp;
make -C extensions/ipc &amp;&amp;
make -C extensions/enigmail</command></userinput></screen>
 
<para>Install <application>Thunderbird</application> by running the following
commands as the root user:</para>
 
<screen><userinput role='root'><command>make install &amp;&amp;
install -d /usr/include/thunderbird-&thunderbird-version;/nss &amp;&amp;
cp -Lf dist/private/nss/*.h dist/public/nss/*.h \
/usr/include/thunderbird-&thunderbird-version;/nss</command></userinput></screen>
 
<para>If you're installing the <application>Enigmail</application> extension,
issue the following commands as the root user:</para>
 
<screen><userinput role='root'><command>make -C extensions/ipc install &amp;&amp;
make -C extensions/enigmail install</command></userinput></screen>
 
<para>To enable multi-user operation, execute the following as the root
user:</para>
 
<screen><userinput role='root'><command>cd /usr/lib/thunderbird-&thunderbird-version; &amp;&amp;
export LD_LIBRARY_PATH="$PWD" &amp;&amp;
export MOZILLA_FIVE_HOME="$PWD" &amp;&amp;
./regxpcom &amp;&amp;
./regchrome &amp;&amp;
touch `find . -name *.rdf`</command></userinput></screen>
 
<note><para>You should run <command>/usr/bin/thunderbird</command> once as
the root user (or any user with write privileges) to create some necessary
additional files in the <filename class='directory'>/usr</filename>
hierarchy.</para></note>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Program</segtitle>
<segtitle>Installed Libraries</segtitle>
<segtitle>Installed Directories</segtitle>
 
<seglistitem>
<seg>thunderbird</seg>
<seg>Numerous libraries, email/newsgroups components, plugins, extensions
and helper modules installed in
<filename class='directory'>/usr/lib/thunderbird-&thunderbird-version;
</filename></seg>
<seg>/usr/bin/defaults, /usr/include/thunderbird-&thunderbird-version;,
/usr/lib/thunderbird-&thunderbird-version; and
/usr/share/idl/thunderbird-&thunderbird-version;</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="thunderbird-prog">
<term><command>thunderbird</command></term>
<listitem><para>is <application>Mozilla</application>'s next-generation
email and newsgroup client.</para>
<indexterm zone="thunderbird thunderbird-prog">
<primary sortas="b-thunderbird">thunderbird</primary>
</indexterm></listitem>
</varlistentry>
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/other/pan.xml
1,11 → 1,89
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY pan-download-http "http://pan.rebelbase.com/download/releases/&pan-version;/SOURCE/pan-&pan-version;.tar.bz2">
<!ENTITY pan-download-ftp " ">
<!ENTITY pan-md5sum "ed3188e7059bb6d6c209ee5d46ac1852">
<!ENTITY pan-size "1.8 MB">
<!ENTITY pan-buildsize "67.8 MB">
<!ENTITY pan-time "0.72 SBU">
]>
 
<sect1 id="pan" xreflabel="Pan-&pan-version;">
<?dbhtml filename="pan.html"?>
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="pan.html" ?>
<title>Pan-&pan-version;</title>
 
&pan-intro;
&pan-inst;
&pan-desc;
<sect2>
<title>Introduction to <application>Pan</application></title>
 
<para>The <application>Pan</application> package contains a graphical
newsreader. This is useful for reading and writing news, threading articles
and replying via email.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&pan-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&pan-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &pan-md5sum;</para></listitem>
<listitem><para>Download size: &pan-size;</para></listitem>
<listitem><para>Estimated disk space required:
&pan-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&pan-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Pan</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gtk2"/>,
<xref linkend="gnet"/>,
<xref linkend="intltool"/> and
<xref linkend="libxml2"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><ulink
url="http://gtkspell.sourceforge.net/download/gtkspell-2.0.4.tar.gz">
gtkspell-2.0.4</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Pan</application></title>
 
<para>Install <application>Pan</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Pan</application> package contains
<command>pan</command>.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>pan</title>
<para><command>pan</command> is the graphical newsreader.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/xsoft.xml
1,11 → 1,17
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE part PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../general.ent">
%general-entities;
]>
 
<part id="xsoft" xreflabel="X Software">
<?dbhtml filename="xsoft.html" dir="xsoft"?>
<title>Logiciels sous X</title>
<title>X Software</title>
 
&xsoft-office;
&xsoft-suites;
&xsoft-graphweb;
&xsoft-other;
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="office/office.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="suites/suites.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="graphweb/graphweb.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="other/other.xml"/>
 
</part>
/trunk/blfs/xsoft/office/evolution/evolution.ent
File deleted
/trunk/blfs/xsoft/office/evolution/evolution-intro.xml
File deleted
/trunk/blfs/xsoft/office/evolution/evolution-exp.xml
File deleted
/trunk/blfs/xsoft/office/evolution/evolution-inst.xml
File deleted
/trunk/blfs/xsoft/office/evolution/evolution-desc.xml
File deleted
/trunk/blfs/xsoft/office/magicpoint.xml
File deleted
/trunk/blfs/xsoft/office/abiword/abiword.ent
File deleted
/trunk/blfs/xsoft/office/abiword/abiword-intro.xml
File deleted
/trunk/blfs/xsoft/office/abiword/abiword-exp.xml
File deleted
/trunk/blfs/xsoft/office/abiword/abiword-inst.xml
File deleted
/trunk/blfs/xsoft/office/abiword/abiword-desc.xml
File deleted
/trunk/blfs/xsoft/office/gnumeric/gnumeric-intro.xml
File deleted
/trunk/blfs/xsoft/office/gnumeric/gnumeric-exp.xml
File deleted
/trunk/blfs/xsoft/office/gnumeric/gnumeric-inst.xml
File deleted
/trunk/blfs/xsoft/office/gnumeric/gnumeric-desc.xml
File deleted
/trunk/blfs/xsoft/office/gnumeric/gnumeric.ent
File deleted
/trunk/blfs/xsoft/office/magicpoint/magicpoint.ent
File deleted
/trunk/blfs/xsoft/office/gimp/gimp-config.xml
File deleted
/trunk/blfs/xsoft/office/gimp/gimp.ent
File deleted
/trunk/blfs/xsoft/office/gimp/gimp-intro.xml
File deleted
/trunk/blfs/xsoft/office/gimp/gimp-exp.xml
File deleted
/trunk/blfs/xsoft/office/gimp/gimp-inst.xml
File deleted
/trunk/blfs/xsoft/office/gimp/gimp-desc.xml
File deleted
/trunk/blfs/xsoft/office/gnucash/gnucash.ent
File deleted
/trunk/blfs/xsoft/office/gnucash/gnucash-intro.xml
File deleted
/trunk/blfs/xsoft/office/gnucash/gnucash-exp.xml
File deleted
/trunk/blfs/xsoft/office/gnucash/gnucash-inst.xml
File deleted
/trunk/blfs/xsoft/office/gnucash/gnucash-desc.xml
File deleted
/trunk/blfs/xsoft/office/gnucash/gnucash-config.xml
File deleted
/trunk/blfs/xsoft/office/evolution.xml
1,12 → 1,139
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY evolution-download-http "http://ftp.gnome.org/pub/GNOME/sources/evolution/2.0/evolution-&evolution-version;.tar.bz2">
<!ENTITY evolution-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/evolution/2.0/evolution-&evolution-version;.tar.bz2">
<!ENTITY evolution-md5sum "d3f12240ebb05dc6c984af68b5fe1955">
<!ENTITY evolution-size "15.4 MB">
<!ENTITY evolution-buildsize "229 MB">
<!ENTITY evolution-time "4.70 SBU">
]>
 
<sect1 id="evolution" xreflabel="Evolution-&evolution-version;">
<?dbhtml filename="evolution.html"?>
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="evolution.html" ?>
<title>Evolution-&evolution-version;</title>
 
&evolution-intro;
&evolution-inst;
&evolution-exp;
&evolution-desc;
<sect2>
<title>Introduction to <application>Evolution</application></title>
 
<para>The <application>Evolution</application> package contains an integrated
mail, calendar and address book suite designed for the
<application><acronym>GNOME</acronym>-2</application> environment.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&evolution-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&evolution-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &evolution-md5sum;</para></listitem>
<listitem><para>Download size: &evolution-size;</para></listitem>
<listitem><para>Estimated disk space required:
&evolution-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&evolution-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Evolution</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gtkhtml"/>,
<xref linkend="libgtkhtml"/>,
<xref linkend="evolution-data-server"/></para>
</sect4>
 
<sect4><title>Recommended</title>
<para><xref linkend="mozilla"/> (<acronym>NSS</acronym> and
<acronym>NSPR</acronym> libs and headers required for
<acronym>SSL</acronym> and S/<acronym>MIME</acronym> support)</para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="openldap"/>,
<xref linkend="sendmail"/> (or other
<ulink url="../server/mail.html">MTA</ulink> that links to
<command>/usr/sbin/sendmail</command>),
<xref linkend="heimdal"/> or <xref linkend="mitkrb"/>,
<ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink>,
<ulink
url="http://ftp.gnome.org/pub/GNOME/sources/gnome-pilot-conduits/2.0/">GNOME
Pilot conduits</ulink>
(requires <xref linkend="pilot-link"/> then <ulink
url="http://ftp.gnome.org/pub/GNOME/sources/gnome-pilot/2.0/">GNOME
Pilot</ulink>),
<ulink url="http://ftp.gnome.org/pub/GNOME/sources/gnome-spell/1.0/">GNOME
Spell</ulink>,
<xref linkend="kdebase"/>,
<xref linkend="gtk-doc"/> and
<xref linkend="docbook-utils"/></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Evolution</application></title>
 
<para>Install <application>Evolution</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
--libexecdir=`pkg-config --variable=prefix ORBit-2.0`/lib/libexec \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install &amp;&amp;
ln -s evolution-2.0 \
`pkg-config --variable=prefix ORBit-2.0`/bin/evolution</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><option>--enable-nntp=yes</option>: This enables the Usenet news
client.</para>
 
<para><option>--enable-nss=yes</option>: This switch will compile
<acronym>SSL</acronym> support into <application>Evolution</application>.
</para>
 
<para><option>--enable-smime=yes</option>: This switch will compile
S/<acronym>MIME</acronym> support into <application>Evolution</application>
(requires <option>--enable-nss=yes</option> also).</para>
 
<para><option>--with-openldap=yes</option>: This flag will compile
<acronym>LDAP</acronym> support into <application>Evolution</application>.
</para>
 
<para><command>ln -s evolution-2.0 `pkg-config
--variable=prefix ORBit-2.0`/bin/evolution</command>: This optional command
creates a convenience symlink to the <command>evolution-2.0</command>
binary.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Evolution</application> package contains
<command>evolution-2.0</command>, support libraries, conduits and other
components.</para>
</sect2>
 
<sect2>
<title>Description</title>
 
<sect3><title>evolution</title>
<para><command>evolution</command> is an email, calendar and
address book suite.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/office/abiword.xml
1,12 → 1,170
<?xml version="1.0" encoding="ISO-8859-1"?>
<sect1 id="AbiWord" xreflabel="AbiWord-&AbiWord-version;">
<?dbhtml filename="AbiWord.html"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY AbiWord-download-http "http://prdownloads.sourceforge.net/abiword/abiword-&AbiWord-version;.tar.bz2">
<!ENTITY AbiWord-download-ftp " ">
<!ENTITY AbiWord-md5sum "814d9169a46fdeaa40565bc2b567ef42">
<!ENTITY AbiWord-size "23.4 MB">
<!ENTITY AbiWord-buildsize "193 MB">
<!ENTITY AbiWord-time "1.97 SBU">
]>
 
<sect1 id="abiword" xreflabel="AbiWord-&AbiWord-version;">
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="AbiWord.html" ?>
<title>AbiWord-&AbiWord-version;</title>
<indexterm zone="abiword">
<primary sortas="a-AbiWord">AbiWord</primary></indexterm>
 
&AbiWord-intro;
&AbiWord-inst;
<!-- &AbiWord-exp; -->
&AbiWord-desc;
<sect2>
<title>Introduction to <application>AbiWord</application></title>
 
<para>The <application>AbiWord</application> package contains a word
processing application. This is useful for writing reports, letters and
other formatted documents.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&AbiWord-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&AbiWord-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &AbiWord-md5sum;</para></listitem>
<listitem><para>Download size: &AbiWord-size;</para></listitem>
<listitem><para>Estimated disk space required:
&AbiWord-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&AbiWord-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>AbiWord</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="popt"/>,
<xref linkend="libglade"/> and
<ulink url="http://freedesktop.org/Software/FriBidi">FriBidi</ulink></para>
</sect4>
 
<sect4><title>Recommended</title>
<para><xref linkend="libjpeg"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="libgnomeprintui"/>,
<xref linkend="nautilus"/>,
<xref linkend="gucharmap"/>,
<xref linkend="imagemagick"/>,
<ulink url="http://www.abisource.com/enchant/">Enchant</ulink>
(uses <xref linkend="aspell"/>) and
<ulink url="http://wvware.sourceforge.net/">wv</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>AbiWord</application></title>
 
<para>Install <application>AbiWord</application> by running the following
commands:</para>
 
<screen><userinput><command>cd abi &amp;&amp;
./configure --prefix=/usr &amp;&amp;
make &amp;&amp;
cd ../abiword-docs &amp;&amp;
./make-html.sh</command></userinput></screen>
 
<para>Now, as the root user:</para>
 
<screen><userinput role='root'><command>cd ../abi &amp;&amp;
make install &amp;&amp;
cp -v -rf docs /usr/share/AbiSuite-2.2/AbiWord &amp;&amp;
cd ../abiword-docs &amp;&amp;
install -v -m644 man/abiword.1 /usr/share/man/man1 &amp;&amp;
install -v -m644 Manual/en/Abiword_Manual.abw \
/usr/share/AbiSuite-2.2/AbiWord/docs &amp;&amp;
cp -v -rf help /usr/share/AbiSuite-2.2/AbiWord/help &amp;&amp;
find /usr/share/AbiSuite-2.2/AbiWord/help \
-type d -exec chmod -v 755 {} \;</command></userinput></screen>
 
<para>To integrate <application>AbiWord</application> into your
<application><acronym>GNOME</acronym>-2</application> environment, run the
following commands:</para>
 
<screen><userinput><command>cd .. &amp;&amp;
install -v -m644 abidistfiles/GNOME_AbiWord_Control_2_2.server \
$GNOME_PREFIX/lib/bonobo/servers &amp;&amp;
install -v -m644 abi/abiword.desktop $GNOME_PREFIX/share/applications</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><command>./make-html.sh</command>: This command creates the
<acronym>HTML</acronym> files used by <application>AbiWord</application> when
help is requested from the main menu.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Programs</segtitle>
<segtitle>Installed Directory</segtitle>
<seglistitem>
<seg>abiword, AbiWord-2.2, ttfdmin.sh and ttftool</seg>
<seg>/usr/share/AbiSuite-2.2</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="abiword-prog">
<term><command>abiword</command></term>
<listitem><para>is a symbolic link to the main <command>AbiWord-2.2</command>
executable.</para>
<indexterm zone="abiword abiword-prog">
<primary sortas="g-abiword">abiword</primary></indexterm>
</listitem>
</varlistentry>
 
<varlistentry id="AbiWord-2.2">
<term><command>AbiWord-2.2</command></term>
<listitem><para>is the word-processing program executable.</para>
<indexterm zone="abiword AbiWord-2.2">
<primary sortas="b-AbiWord-2.2">AbiWord-2.2</primary></indexterm>
</listitem>
</varlistentry>
 
<varlistentry id="ttfadmin.sh">
<term><command>ttfadmin.sh</command></term>
<listitem><para>generates support files required by
<application>AbiWord</application> for each TrueType font in a
given directory.</para>
<indexterm zone="abiword ttfadmin.sh">
<primary sortas="b-ttfadmin.sh">ttfadmin.sh</primary></indexterm>
</listitem>
</varlistentry>
 
<varlistentry id="ttftool">
<term><command>ttftool</command></term>
<listitem><para>is a utility for processing TrueType fonts.</para>
<indexterm zone="abiword ttftool">
<primary sortas="b-ttftool">ttftool</primary></indexterm>
</listitem>
</varlistentry>
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/office/gnucash.xml
1,13 → 1,192
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnucash-download-http "http://www.gnucash.org/pub/gnucash/sources/stable/gnucash-&gnucash-version;.tar.gz">
<!ENTITY gnucash-download-ftp "ftp://ftp.at.gnucash.org/pub/gnucash/gnucash/sources/stable/gnucash-&gnucash-version;.tar.gz">
<!ENTITY gnucash-src-md5sum "3ce22a3e4a1af75e3e206f073d923cfe">
<!ENTITY gnucash-docs-md5sum "9758d8e523530c2509912761e327a9d5">
<!ENTITY gnucash-size "7.7 MB">
<!ENTITY gnucash-buildsize "108 MB (additional 24 MB for Help documentation)">
<!ENTITY gnucash-time "2.95 SBU">
<!ENTITY gnucash-docs-version "1.8.5">
<!ENTITY gnucash-docs-download "http://www.gnucash.org/pub/gnucash/sources/stable/gnucash-docs-&gnucash-docs-version;.tar.gz">
]>
 
<sect1 id="gnucash" xreflabel="GnuCash-&gnucash-version;">
<?dbhtml filename="gnucash.html"?>
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="gnucash.html" ?>
<title>GnuCash-&gnucash-version;</title>
 
&gnucash-intro;
&gnucash-inst;
&gnucash-exp;
&gnucash-config;
&gnucash-desc;
<sect2>
<title>Introduction to <application>GnuCash</application></title>
 
<para><application>GnuCash</application> is a personal finance manager.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnucash-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnucash-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum (source):
&gnucash-src-md5sum;</para></listitem>
<listitem><para>Download MD5 sum (docs):
&gnucash-docs-md5sum;</para></listitem>
<listitem><para>Download size: &gnucash-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnucash-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnucash-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title>Additional download</title>
<itemizedlist spacing='compact'>
<listitem><para>Help documentation:
<ulink url="&gnucash-docs-download;"/></para>
</listitem>
</itemizedlist>
</sect3>
 
<sect3><title><application>GnuCash</application> dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="oaf"/>,
<xref linkend="gal1"/>,
<xref linkend="gtkhtml1"/>,
<xref linkend="libghttp"/> and
<xref linkend="gwrap"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="postgresql"/>,
<xref linkend="guppi"/>,
<xref linkend="scrollkeeper"/>,
<ulink url="ftp://ftp.gnu.org/pub/gnu/guile/">Guile-www</ulink>,
<xref linkend="perl-modules"/>:
(LWP, HTML-Parser, DateManip and Finance-Quote),
<ulink url="http://www.graphviz.org/">GraphViz</ulink>,
<xref linkend="doxygen"/>,
<ulink url="http://perens.com/FreeSoftware/">Electric Fence</ulink></para>
</sect4>
 
<sect4><title>Optional (for on-line banking)</title>
<para><ulink url="http://libofx.sourceforge.net/">LibOFX</ulink>,
<ulink url="http://sourceforge.net/projects/ktoblzcheck">KtoBlzCheck</ulink>,
<ulink url="http://sourceforge.net/projects/aqhbci">AqHBCI</ulink>
(requires
<ulink url="http://sourceforge.net/projects/gwenhywfar">Gwenhywfar</ulink>
then
<ulink url="http://sourceforge.net/projects/aqbanking">AqBanking</ulink>),
and also see
<ulink url="http://sourceforge.net/projects/libchipcard">libchipcard</ulink>
</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>GnuCash</application></title>
 
<para>Install <application>GnuCash</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome \
--sysconfdir=/etc --disable-guppi \
--disable-error-on-warning &amp;&amp;
make &amp;&amp;
make install &amp;&amp;
chown -R root:root /opt/gnome/share/gnucash/doc/html/html</command></userinput></screen>
 
<para><emphasis>Note:</emphasis> If you run <command>make check</command>
before installing the package, you may need to do it as the root user so that
the <application>Slib</application> catalog in
<filename class='directory'>/usr/share/guile</filename> can be updated.</para>
 
<para>If you want to install the Help documentation, and you have
<xref linkend="scrollkeeper"/> installed, unpack the additional tarball,
change into the <application>GnuCash Docs</application> source directory and
issue the following commands:</para>
 
<screen><userinput><command>./configure --prefix=/opt/gnome \
--localstatedir=/var/lib &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--prefix=/opt/gnome</parameter>:
<application>GnuCash</application>-&gnucash-version; is a
<application><acronym>GNOME</acronym></application> 1.4 application.</para>
 
<para><parameter>--sysconfdir=/etc</parameter>: This installs configuration
files in <filename class='directory'>/etc/gnucash</filename> instead of
<filename class='directory'>/opt/gnome/etc/gnucash</filename>.</para>
 
<para><option>--disable-guppi</option>: This compiles
<application>GnuCash</application> without support for creating
<acronym>GUI</acronym> graphs and plots. Remove this option if you have
<application>Guppi</application> installed.</para>
 
<para><option>--disable-error-on-warning</option>: The build will fail if
you used <option>--enable-hbci</option>, as a warning is generated. This
option forces the build to ignore the warning.</para>
 
<para><option>--enable-ofx</option>: This parameter is required if you want
to build in on-line banking support using
<application>LibOFX</application>.</para>
 
<para><option>--enable-hbci</option>: This parameter is required if you want
to build in on-line banking support using
<application>AqBanking</application>/<application>AqHBCI</application>. See
<filename>doc/README.HBCI</filename> in the
<application>GnuCash</application> source tree for complete information.</para>
 
<para><command>chown -R root:root
/opt/gnome/share/gnucash/doc/html/html</command>:
If the package is built by any user other than root, the ownership of the
installed documentation files are set incorrectly. This command changes the
ownership to root:root.</para>
</sect2>
 
<sect2>
<title>Configuring <application>GnuCash</application></title>
 
<sect3><title>Configuration Information</title>
 
<note><para><application>GnuCash</application> must be run as root once before
use. Simply executing <command>gnucash</command> from an
<application>X</application> terminal and clicking on the cancel button is
sufficient. This must be done prior to setting up accounts as an unprivileged
user, due to the fact that <application>GnuCash</application> must update
scheme catalogs before it is used.</para></note>
 
</sect3>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>GnuCash</application> package contains
<command>gnucash.</command></para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>gnucash</title>
<para><command>gnucash</command> is a personal finance manager.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/office/gnumeric.xml
1,12 → 1,121
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gnumeric-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.4/gnumeric-&gnumeric-version;.tar.bz2">
<!ENTITY gnumeric-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnumeric/1.4/gnumeric-&gnumeric-version;.tar.bz2">
<!ENTITY gnumeric-md5sum "bc60b5c342908e969b320ab833e6b151">
<!ENTITY gnumeric-size "16.8 MB">
<!ENTITY gnumeric-buildsize "206 MB">
<!ENTITY gnumeric-time "2.46 SBU">
]>
 
<sect1 id="gnumeric" xreflabel="Gnumeric-&gnumeric-version;">
<?dbhtml filename="gnumeric.html"?>
<title>Gnumeric-&gnumeric-version;</title>
<sect1info>
<othername>$LastChangedBy: igor $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="gnumeric.html" ?>
<title><application>Gnumeric</application>-&gnumeric-version;</title>
 
&gnumeric-intro;
&gnumeric-inst;
&gnumeric-exp;
&gnumeric-desc;
<sect2>
<title>Introduction to <application>Gnumeric</application></title>
 
<para>The <application>Gnumeric</application> package contains a spreadsheet
program. This is useful for financial analysis.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gnumeric-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gnumeric-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gnumeric-md5sum;</para></listitem>
<listitem><para>Download size: &gnumeric-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gnumeric-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gnumeric-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application>Gnumeric</application> dependencies</title>
 
<sect4><title>Required</title>
<para><xref linkend="libgnomeprintui"/> and <xref linkend="libgsf"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="python"/>,
<ulink url="http://www.pygtk.org/">PyGTK</ulink>,
<ulink url="http://www.gnome-db.org/download.php">libgnomedb</ulink>
(requires <ulink url="http://www.gnome-db.org/download.php">libgda</ulink>),
<ulink url="http://pxlib.sourceforge.net/">pxlib</ulink> and
<ulink url="http://www.frodol.dds.nl/psiconv/index.html">Psiconv</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>Gnumeric</application></title>
 
<para>Install <application>Gnumeric</application> by running the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=$GNOME_PREFIX \
--localstatedir=/var/lib --sysconfdir=/etc/gnome &amp;&amp;
make &amp;&amp;
make install &amp;&amp;
ln -s $GNOME_PREFIX/share/gnome/help/gnumeric \
$GNOME_PREFIX/share/gnumeric/1.4.1/doc</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><parameter>--localstatedir=/var/lib</parameter>: This switch puts
<application>ScrollKeeper</application> files in
<filename class="directory">/var/lib/scrollkeeper</filename> instead of
<filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
 
<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch puts
configuration files in <filename class="directory">/etc/gnome</filename>
instead of <filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
 
<para><command>ln -s ...</command>: There's a <ulink
url="http://bugzilla.gnome.org/show_bug.cgi?id=161404">bug</ulink> in the
program that calls <application>Yelp</application> from the main menu
causing the help function to be unavailable. Creating this symlink allows
<application>Yelp</application> to find the help files.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>Gnumeric</application> package contains
<command>gnumeric</command> (a symlink to <command>gnumeric-1.4.1</command>),
<command>ssconvert</command> and numerous filters, plugins and
<application><acronym>GNOME</acronym></application> components.</para>
 
</sect2>
 
<sect2>
<title>Description</title>
 
<sect3><title>gnumeric</title>
<para><command>gnumeric</command> is
<application><acronym>GNOME</acronym></application>'s spreadsheet
application.</para></sect3>
 
<sect3><title>ssconvert</title>
<para><command>ssconvert</command> is a command line utility to convert
spreadsheet files between various spreadsheet file formats.</para></sect3>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/office/office.xml
1,17 → 1,23
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<chapter id="xsoft-office">
<?dbhtml filename="office.html"?>
<title>Programmes de bureau individuels</title>
<?dbhtml filename="office.html" ?>
<title>Individual Office Programs</title>
 
<para>Ce chapitre est une collection de projets indépendants qui peuvent être
installés suivant des besoins spécifiques. Ensemble, ils créent une suite office
respectable. Bien qu'ils soient déficients sur la cohérence de l'interface
utilisateur, ils excellent sur la seule chose qu'ils ont à faire.</para>
<para>This chapter is a collection of independent projects that can be
installed based on specific needs. Together, they create a respectable
office suite. While they may be lacking in user interface consistency,
they excel in doing one thing and doing it well.</para>
 
&AbiWord;
&gnumeric;
&gnucash;
&gimp;
&evolution;
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="abiword.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnumeric.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gnucash.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="gimp.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="evolution.xml"/>
 
</chapter>
/trunk/blfs/xsoft/office/gimp.xml
1,13 → 1,289
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY gimp-download-http "http://ftp.gwdg.de/pub/misc/grafik/gimp/gimp/v2.2/gimp-&gimp-version;.tar.bz2">
<!ENTITY gimp-download-ftp "ftp://ftp.gimp.org/pub/gimp/v2.2/gimp-&gimp-version;.tar.bz2">
<!ENTITY gimp-md5sum "a65ea578d42a8c6658296aa52547063d">
<!ENTITY gimp-size "13.8 MB">
<!ENTITY gimp-buildsize "277 MB">
<!ENTITY gimp-time "5.63 SBU (additional 1.01 SBU to run test suite)">
]>
 
<sect1 id="gimp" xreflabel="GIMP-&gimp-version;">
<?dbhtml filename="gimp.html"?>
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="gimp.html" ?>
<title>GIMP-&gimp-version;</title>
<indexterm zone="gimp">
<primary sortas="a-GIMP">GIMP</primary></indexterm>
 
&gimp-intro;
&gimp-inst;
&gimp-exp;
&gimp-config;
&gimp-desc;
<sect2>
<title>Introduction to <application><acronym>GIMP</acronym></application>
</title>
 
<para>The <application><acronym>GIMP</acronym></application> package contains
the <acronym>GNU</acronym> Image Manipulation Program. This is useful for
photo retouching, image composition and image authoring.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&gimp-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&gimp-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &gimp-md5sum;</para></listitem>
<listitem><para>Download size: &gimp-size;</para></listitem>
<listitem><para>Estimated disk space required:
&gimp-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&gimp-time;</para></listitem></itemizedlist>
</sect3>
 
<sect3><title><application><acronym>GIMP</acronym></application>
dependencies</title>
<sect4><title>Required</title>
<para><xref linkend="gtk2"/>,
<xref linkend="libart_lgpl"/> and
<xref linkend="perl-modules"/>: XML-Parser</para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="gimp-print"/>,
<xref linkend="libjpeg"/>,
<xref linkend="libtiff"/>,
<xref linkend="libmng"/>,
<xref linkend="librsvg"/>,
<xref linkend="aalib"/>,
<xref linkend="lcms"/>,
<xref linkend="libgtkhtml"/>,
<xref linkend="libxslt"/>,
<xref linkend="python"/> (and
<ulink url="http://www.pygtk.org/">PyGTK</ulink>),
<xref linkend="gtk-doc"/>,
<ulink url="../server/mail.html">MTA</ulink>,
<xref linkend="alsa"/>,
<ulink url="http://sourceforge.net/projects/libexif">libexif</ulink> and
<ulink url="http://wvware.sourceforge.net/libwmf.html">libwmf</ulink></para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application><acronym>GIMP</acronym></application>
</title>
 
<para>Install <application><acronym>GIMP</acronym></application> by running
the following commands:</para>
 
<screen><userinput><command>./configure --prefix=/usr --sysconfdir=/etc --disable-print \
--without-libjpeg --without-libtiff &amp;&amp;
make</command></userinput></screen>
 
<para>Now, as the root user:</para>
 
<screen><userinput role='root'><command>make install</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para><option>--disable-print</option>: This option will disable print support
and is necessary if <application>gimp-print</application> is not installed. If
you have <application>gimp-print</application> installed, remove this
option.</para>
 
<para><option>--without-libjpeg</option>: This option is necessary if
<application>libjpeg</application> is not installed. Remove it if
<application>libjpeg</application> is installed.</para>
 
<para><option>--without-libtiff</option>: This option is necessary if
<application>libtiff</application> is not installed. Remove it if
<application>libtiff</application> is installed.</para>
 
</sect2>
 
<sect2>
<title>Configuring <application><acronym>GIMP</acronym></application></title>
 
<sect3 id="gimp-config"><title>Config files</title>
<para><filename>/etc/gimp/2.0/*</filename> and
<filename>~/.gimp-2.0/gimprc</filename></para>
<indexterm zone="gimp gimp-config">
<primary sortas="e-AA.gimp-2.0/gimprc">~/.gimp-2.0/gimprc</primary></indexterm>
<indexterm zone="gimp gimp-config">
<primary sortas="e-etc-gimp-2.0-star">/etc/gimp/2.0/*</primary></indexterm>
</sect3>
 
<sect3><title>Configuration Information</title>
 
<para><application><acronym>GIMP</acronym></application> executes a
configuration wizard for each user upon their initial use of the
program.</para>
</sect3>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<segmentedlist>
<segtitle>Installed Programs</segtitle>
<segtitle>Installed Libraries</segtitle>
<segtitle>Installed Directories</segtitle>
 
<seglistitem>
<seg>gimp, gimp-2.2, gimp-remote, gimp-remote-2.2 and gimptool-2.0</seg>
<seg>libgimp-2.0.so, libgimpbase-2.0.so, libgimpcolor-2.0.so,
libgimpmath-2.0.so, libgimpmodule-2.0.so, libgimpthumb-2.0.so,
libgimpui-2.0.so, libgimpwidgets-2.0.so and many other modules and
plugin libraries</seg>
<seg>/etc/gimp, /usr/include/gimp-2.0, /usr/lib/gimp, /usr/share/gimp and
/usr/share/gtk-doc/html/libgimp{,base,color,math,module,thumb,widgets}</seg>
</seglistitem>
</segmentedlist>
 
<variablelist>
<bridgehead renderas="sect3">Short Descriptions</bridgehead>
<?dbfo list-presentation="list"?>
 
<varlistentry id="gimp-prog">
<term><command>gimp</command></term>
<listitem><para>is a symbolic link to <command>gimp-2.2</command>.</para>
<indexterm zone="gimp gimp-prog">
<primary sortas="g-gimp">gimp</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="gimp-2.2">
<term><command>gimp-2.2</command></term>
<listitem><para>is an image manipulation program. It works with a variety of
image formats and provides a large selection of tools.</para>
<indexterm zone="gimp gimp-2.2">
<primary sortas="b-gimp-2.2">gimp-2.2</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="gimp-remote">
<term><command>gimp-remote</command></term>
<listitem><para>is a symbolic link to
<command>gimp-remote-2.2</command>.</para>
<indexterm zone="gimp gimp-remote">
<primary sortas="g-gimp-remote">gimp-remote</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="gimp-remote-2.2">
<term><command>gimp-remote-2.2</command></term>
<listitem><para>is a small utility that tells a running
<application><acronym>GIMP</acronym></application> to open a local or remote
image file.</para>
<indexterm zone="gimp gimp-remote-2.2">
<primary sortas="b-gimp-remote-2.2">gimp-remote-2.2</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="gimptool-2.0">
<term><command>gimptool-2.0</command></term>
<listitem><para>is a tool that can build plug-ins or scripts and install them
if they are distributed in one source file. <command>gimptool-2.0</command>
can also be used by programs that need to know what libraries and include-paths
<application><acronym>GIMP</acronym></application> was compiled with.</para>
<indexterm zone="gimp gimptool-2.0">
<primary sortas="b-gimptool-2.0">gimptool-2.0</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="libgimp-2.0">
<term><filename class='libraryfile'>libgimp-2.0.so</filename></term>
<listitem><para> provides C bindings for
<application><acronym>GIMP</acronym></application>'s Procedural Database
(<acronym>PDB</acronym>) which offers an interface to core functions and to
functionality provided by plug-ins.</para>
<indexterm zone="gimp libgimp-2.0">
<primary sortas="c-libgimp-2.0">libgimp-2.0.so</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="libgimpbase-2.0">
<term><filename class='libraryfile'>libgimpbase-2.0.so</filename></term>
<listitem><para>provides the C functions for basic
<application><acronym>GIMP</acronym></application> functionality such as
determining enumeration data types, gettext translation, determining
<application><acronym>GIMP</acronym></application>'s version number and
capabilities, handling data files and accessing the environment.</para>
<indexterm zone="gimp libgimpbase-2.0">
<primary sortas="c-libgimpbase-2.0">libgimpbase-2.0.so</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="libgimpcolor-2.0">
<term><filename class='libraryfile'>libgimpcolor-2.0.so</filename></term>
<listitem><para>provides the C functions relating to <acronym>RGB</acronym>,
<acronym>HSV</acronym> and <acronym>CMYK</acronym> colors as well as
converting colors between different color models and performing adaptive
supersampling on an area.</para>
<indexterm zone="gimp libgimpcolor-2.0">
<primary sortas="c-libgimpcolor-2.0">libgimpcolor-2.0.so</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="libgimpmath-2.0">
<term><filename class='libraryfile'>libgimpmath-2.0.so</filename></term>
<listitem><para>contains C functions which provide mathematical definitions and
macros, manipulate 3x3 transformation matrices, set up and manipulate vectors
and the MD5 message-digest algorithm.</para>
<indexterm zone="gimp libgimpmath-2.0">
<primary sortas="c-libgimpmath-2.0">libgimpmath-2.0.so</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="libgimpmodule-2.0">
<term><filename class='libraryfile'>libgimpmodule-2.0.so</filename></term>
<listitem><para>provides the C functions which implements module loading using
GModule and keeps a list of GimpModule's found in a given searchpath.</para>
<indexterm zone="gimp libgimpmodule-2.0">
<primary sortas="c-libgimpmodule-2.0">libgimpmodule-2.0.so</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="libgimpthumb-2.0">
<term><filename class='libraryfile'>libgimpthumb-2.0.so</filename></term>
<listitem><para>provides the C functions for handling
<application><acronym>GIMP</acronym></application>'s thumbnail objects.</para>
<indexterm zone="gimp libgimpthumb-2.0">
<primary sortas="c-libgimpthumb-2.0">libgimpthumb-2.0.so</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="libgimpui-2.0">
<term><filename class='libraryfile'>libgimpui-2.0.so</filename></term>
<listitem><para>contains the
<application><acronym>GIMP</acronym></application> common user interface
functions.</para>
<indexterm zone="gimp libgimpui-2.0">
<primary sortas="c-libgimpui-2.0">libgimpui-2.0.so</primary>
</indexterm></listitem>
</varlistentry>
 
<varlistentry id="libgimpwidgets-2.0">
<term><filename class='libraryfile'>libgimpwidgets-2.0.so</filename></term>
<listitem><para>contains <application><acronym>GIMP</acronym></application>
and <application><acronym>GTK</acronym></application> widget creation and
manipulation functions.</para>
<indexterm zone="gimp libgimpwidgets-2.0">
<primary sortas="c-libgimpwidgets-2.0">libgimpwidgets-2.0.so</primary>
</indexterm></listitem>
</varlistentry>
 
</variablelist>
 
</sect2>
 
</sect1>
 
/trunk/blfs/xsoft/suites/openoffice/openoffice-desc.xml
File deleted
/trunk/blfs/xsoft/suites/openoffice/openoffice.ent
File deleted
\ No newline at end of file
/trunk/blfs/xsoft/suites/openoffice/openoffice-intro.xml
File deleted
/trunk/blfs/xsoft/suites/openoffice/openoffice-exp.xml
File deleted
/trunk/blfs/xsoft/suites/openoffice/openoffice-inst.xml
File deleted
/trunk/blfs/xsoft/suites/koffice/koffice.ent
File deleted
/trunk/blfs/xsoft/suites/koffice/koffice-intro.xml
File deleted
/trunk/blfs/xsoft/suites/koffice/koffice-inst.xml
File deleted
/trunk/blfs/xsoft/suites/koffice/koffice-desc.xml
File deleted
/trunk/blfs/xsoft/suites/koffice.xml
1,10 → 1,166
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY koffice-download-http "http://mirrors.isc.org/pub/kde/stable/koffice-&koffice-version;/src/koffice-&koffice-version;.tar.bz2">
<!ENTITY koffice-download-ftp "ftp://ftp.kde.org/pub/kde/stable/koffice-&koffice-version;/src/koffice-&koffice-version;.tar.bz2">
<!ENTITY koffice-md5sum "dbc7e76c86647709a3e74f57c0fcf7f5">
<!ENTITY koffice-size "10.7 MB (27 MB for complete i18n version)">
<!ENTITY koffice-buildsize "220 MB (additional 55 MB for API docs)">
<!ENTITY koffice-time "23.7 SBU (additional 0.54 SBU for API docs)">
]>
 
<sect1 id="koffice">
<?dbhtml filename="koffice.html"?>
<title>KOffice-&koffice-version;</title>
<sect1info>
<othername>$LastChangedBy: randy $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
</sect1info>
<?dbhtml filename="koffice.html" ?>
<title><application>KOffice</application>-&koffice-version;</title>
 
&koffice-intro;
&koffice-inst;
&koffice-desc;
<sect2><title>Introduction to <application>KOffice</application></title>
 
<para><application>KOffice</application> is the integrated office suite
for <acronym>KDE</acronym>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download (HTTP): <ulink
url="&koffice-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&koffice-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &koffice-md5sum;</para></listitem>
<listitem><para>Download size: &koffice-size;</para></listitem>
<listitem><para>Estimated disk space required:
&koffice-buildsize;</para></listitem>
<listitem><para>Estimated build time:
&koffice-time;</para></listitem>
</itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
 
<para><application>KOffice</application> has many internationalization
packages in the form of:
 
<filename>koffice-i18n-<replaceable>[xx]</replaceable>-&koffice-version;.tar.bz2</filename>.
 
The <replaceable>[xx]</replaceable> is a two to five letter code for the
country covered. The sizes of these files range from about 0.3 MB to 4.2
MB. You can also download a complete i18n version which includes translations
for all country codes.</para>
 
<itemizedlist spacing='compact'>
<listitem><para>Download mirrors: <ulink
url="http://download.kde.org/download.php?url=stable/koffice-&koffice-version;/src/"/>
</para></listitem>
<listitem><para><application>KOffice</application> i18n package listing: <ulink
url="http://mirrors.isc.org/pub/kde/stable/koffice-1.3.5/src/"/></para>
</listitem>
<listitem><para>Download MD5 sums: <ulink
url="http://mirrors.isc.org/pub/kde/stable/koffice-1.3.5/src/MD5SUMS"/></para>
</listitem></itemizedlist>
 
</sect3>
 
<sect3><title><application>KOffice</application> dependencies</title>
 
<sect4><title>Required</title>
<para><xref linkend="kdebase"/></para>
</sect4>
 
<sect4><title>Recommended</title>
<para><xref linkend="libjpeg"/>,
<xref linkend="libart_lgpl"/>,
<xref linkend="libxml2"/>,
<xref linkend="libxslt"/></para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="aspell"/>,
<xref linkend="python"/>,
<xref linkend="imagemagick"/>,
<ulink url="http://sourceforge.net/projects/wvware/">libwv2</ulink>,
<ulink
url="http://packages.debian.org/unstable/source/libpaper">libpaper</ulink>,
<ulink url="http://www.graphviz.org/">GraphViz</ulink>
and <xref linkend="doxygen"/></para>
</sect4>
 
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>KOffice</application></title>
 
<para>Install <application>KOffice</application> with the following
commands:</para>
 
<screen><userinput><command>./configure --prefix=&kde-dir; --disable-debug \
--disable-dependency-tracking &amp;&amp;
make &amp;&amp;
make install</command></userinput></screen>
 
<note><para>If you wish to create the <acronym>API</acronym> documentation and
you have <application>Doxygen</application> and
<application>GraphViz</application> installed, <command>make apidox</command>
must be done before <command>make install</command>.</para></note>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>KOffice</application> package provides
<command>karbon</command>,
<command>kchart</command>,
<command>kformula</command>,
<command>kivio</command>,
<command>koconverter</command>,
<command>koscript</command>,
<command>koshell</command>,
<command>kprconverter.pl</command>,
<command>kpresenter</command>,
<command>kspread</command>,
<command>kthesaurus</command>,
<command>kudesigner</command>,
<command>kugar</command> and
<command>kword</command>.</para>
 
</sect2>
 
<sect2>
<title>Description</title>
 
<sect3><title>kchart</title>
<para><command>kchart</command> is a chart drawing
application.</para></sect3>
 
<sect3><title>kformula</title>
<para><command>kformula</command> is a formula editor.</para></sect3>
 
<sect3><title>kivio</title>
<para><command>kivio</command> is a flowchart program.</para></sect3>
 
<sect3><title>kpresenter</title>
<para><command>kpresenter</command> is a presentation builder/display
program.</para></sect3>
 
<sect3><title>kspread</title>
<para><command>kspread</command> is a scriptable spreadsheet
program.</para></sect3>
 
<sect3><title>kugar</title>
<para><command>kugar</command> is a tool for creating
reports.</para></sect3>
 
<sect3><title>kword</title>
<para><command>kword</command> is a framemaker-like word processing and
desktop publishing program.</para></sect3>
 
</sect2>
 
</sect1>
/trunk/blfs/xsoft/suites/suites.xml
1,14 → 1,20
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE chapter PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
]>
 
<chapter id="xsoft-suites">
<?dbhtml filename="suites.html"?>
<title>Suites Office</title>
<?dbhtml filename="suites.html" ?>
<title>Office Suites</title>
 
<para>Ce chapitre contient des applications qui contiennent tous les besoins
essentiels des travailleurs quotidiens sur un seul "petit" package. Les
bénéfices sont une interface utilisateur consistante et une coopération entre
les applications.</para>
<para>This chapter contains applications that bundle all the essential
needs of everyday office workers into one neat 'little' package. The
benefits are a consistent user interface and cooperation between
applications.</para>
 
&koffice;
&openoffice;
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="koffice.xml"/>
<xi:include xmlns:xi="http://www.w3.org/2003/XInclude" href="openoffice.xml"/>
 
</chapter>
/trunk/blfs/xsoft/suites/openoffice.xml
1,12 → 1,354
<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE sect1 PUBLIC "-//OASIS//DTD DocBook XML V4.3//EN"
"http://www.oasis-open.org/docbook/xml/4.3/docbookx.dtd" [
<!ENTITY % general-entities SYSTEM "../../general.ent">
%general-entities;
 
<!ENTITY openoffice-download-http "http://download.openoffice.org/&openoffice-version;/source.html">
<!ENTITY openoffice-download-ftp "ftp://ftp.ussg.iu.edu/pub/openoffice/stable/&openoffice-version;/OOo_&openoffice-version;_source.tar.gz">
<!ENTITY openoffice-md5sum "20c10db97865ae4c51dc827d668b8939">
<!ENTITY openoffice-size "214 MB">
<!ENTITY openoffice-buildsize "3.1 GB">
<!ENTITY openoffice-time "75 SBU">
]>
 
<sect1 id="openoffice" xreflabel="OpenOffice-&openoffice-version;">
<?dbhtml filename="openoffice.html"?>
<sect1info>
 
<othername>$LastChangedBy: bdubbs $</othername>
<date>$Date: 2005-06-15 05:57:16 $</date>
 
</sect1info>
 
<?dbhtml filename="openoffice.html" ?>
<title>OpenOffice-&openoffice-version;</title>
 
&openoffice-intro;
&openoffice-inst;
&openoffice-exp;
&openoffice-desc;
<sect2>
<title>Introduction to <application>OpenOffice</application></title>
 
<para><application>OpenOffice</application> is an office suite, the
open source sibling of <application>StarOffice</application>.</para>
 
<sect3><title>Package information</title>
<itemizedlist spacing='compact'>
<listitem><para>Download Mirrors (HTTP): <ulink
url="&openoffice-download-http;"/></para></listitem>
<listitem><para>Download (FTP): <ulink
url="&openoffice-download-ftp;"/></para></listitem>
<listitem><para>Download MD5 sum: &openoffice-md5sum;</para></listitem>
<listitem><para>Download size: &openoffice-size;
(additional 11-13 MB for localized help content file)</para></listitem>
<listitem><para>Estimated disk space required:
&openoffice-buildsize; (more if using localized help content)</para></listitem>
<listitem><para>Estimated build time:
&openoffice-time; (longer if using localized help content)</para></listitem>
</itemizedlist>
</sect3>
 
<sect3><title>Additional downloads</title>
<itemizedlist spacing='compact'>
 
<listitem><para>Required patch for gcc-&gcc3-version;: <ulink
url="&patch-root;/OOo_&openoffice-version;-gcc33-1.patch"/></para>
</listitem>
 
<listitem><para>Required patch for use with NPTL: <ulink
url="&patch-root;/OOo_&openoffice-version;-nptl-1.patch"/></para>
</listitem>
 
<listitem><para>Required patch if compiling with
<acronym>J2SDK</acronym>-&j2sdk-src-version;: <ulink
url="&patch-root;/OOo_&openoffice-version;-jdk_&j2sdk-src-version;_fix-1.patch"/></para>
</listitem>
 
<listitem><para>Required patch (Executable <command>test</command> is in
<filename class="directory">/bin</filename>,
not in <filename class="directory">/usr/bin</filename>): <ulink
url="&patch-root;/OOo_&openoffice-version;-test_bin_loc-1.patch"/></para>
</listitem>
 
<listitem><para>Optional patch if you wish to use the system freetype:
<ulink
url="&patch-root;/OOo_&openoffice-version;-freetype-1.patch"/></para>
</listitem>
 
<listitem><para>Optional patch if
Linux-<acronym>PAM</acronym>-&Linux_PAM-version; is not installed:
<ulink
url="&patch-root;/OOo_&openoffice-version;-no_pam-1.patch"/></para>
</listitem>
 
<listitem><para>General Polygon Clipper Library (Optional if
libart_lgpl-&libart_lgpl-version; is used): <ulink
url="ftp://ftp.cs.man.ac.uk/pub/toby/gpc/gpc231.tar.Z"/></para>
</listitem>
 
<listitem><para>The source <acronym>TAR</acronym> ball only contains English
language help. A localized help content file may be available at: <ulink
url="http://ftp.services.openoffice.org/pub/OpenOffice.org/contrib/helpcontent/"/>.</para>
</listitem>
 
</itemizedlist>
</sect3>
 
<sect3><title><application>OpenOffice</application> dependencies</title>
<sect4><title>Required</title>
<para>X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>),
<xref linkend="zip"/>,
<xref linkend="unzip"/>,
<xref linkend="tcsh"/>,
<xref linkend="which"/> and
<xref linkend="gcc3"/>.</para>
</sect4>
 
<sect4><title>Recommended</title>
<para><xref linkend="j2sdk"/>,
<xref linkend="freetype2"/>,
<xref linkend="pkgconfig"/>,
<xref linkend="startup-notification"/> and
<xref linkend="desktop-file-utils"/>.</para>
</sect4>
 
<sect4><title>Optional</title>
<para><xref linkend="Linux_PAM"/>,
<xref linkend="libart_lgpl"/>,
<xref linkend="apache-ant"/> and
<xref linkend="curl"/>.</para>
</sect4>
</sect3>
 
</sect2>
 
<sect2>
<title>Installation of <application>OpenOffice</application></title>
 
<para><application>OpenOffice</application> does not create a directory
when you extract the <acronym>TAR</acronym> ball. Create a build directory
and extract the source with the following commands:</para>
 
<screen><userinput><command>mkdir OOo-build &amp;&amp;
cd OOo-build &amp;&amp;
tar -zxf ../OOo_&openoffice-version;_source.tar.gz</command></userinput></screen>
 
<para>Optionally, untar and move the gpc files, and apply the downloaded
patches:</para>
 
<screen><userinput><command>tar -zxf ../gpc231.tar.Z &amp;&amp;
mv gpc231/* external/gpc &amp;&amp;
rmdir gpc231 &amp;&amp;
for patch in ../OOo_&openoffice-version;-*.patch
do patch -Np1 -i $patch
done</command></userinput></screen>
 
<para>STLport looks for the c++ headers in the wrong location. Put a
temporary symlink in place to satisfy STLport:</para>
 
<screen><userinput><command>ln -sf /opt/gcc-&gcc3-version;/include/c++/&gcc3-version; /usr/g++-v3</command></userinput></screen>
 
<para>OpenOffice fails to build with gcc-3.4.1. Set your path to
include gcc-&gcc3-version;:</para>
 
<screen><userinput><command>export PATH_HOLD=$PATH &amp;&amp;
export PATH=/opt/gcc-&gcc3-version;/bin:$PATH</command></userinput></screen>
 
<para>If you want to optimize the build, edit
<filename>solenv/inc/unxlngi4.mk</filename> and add the desired optimization
flags to the <envar>CFLAGSOPT</envar> variable. Some users have reported
problems with <parameter>-fomit-frame-pointer</parameter>. The best option is
to not use any custom optimizations. The following command removes an incorrect
<parameter>-mcpu</parameter> option in the above file:</para>
 
<screen><userinput><command>sed -i "s:\-mcpu=pentiumpro::" \
solenv/inc/unxlngi4.mk</command></userinput></screen>
 
<para>Configure <application>OpenOffice</application> using the following
commands. You may build install sets for specific languages based on your
preferences. Supply a comma separated list to the <envar>--with-lang=</envar>
switch. If a particular component is not available in the language of your
choice, the default will be US English. If you need other languages, be sure
to add <parameter>ENUS</parameter> to the list; otherwise the build will
fail:</para>
 
<screen><userinput><command>cd config_office/ &amp;&amp;
./configure --with-lang=ENUS \
--with-dict=ENUS --without-fonts \
--enable-libsn --with-system-zlib \
--with-system-freetype &amp;&amp;
cd ..</command></userinput></screen>
 
<para><application>OpenOffice</application> fails to compile if
<command>umask</command> is set to something exotic. The build can also
fail if the <envar>LANG</envar> or <envar>LC_ALL</envar> environment
variables are set. Use the following commands to change your
environment accordingly:</para>
 
<screen><userinput><command>umask 0022 &amp;&amp;
unset LANG LC_ALL</command></userinput></screen>
 
<para>Compile <application>OpenOffice</application> using the following
commands:</para>
 
<screen><userinput><command>./bootstrap &amp;&amp;
bash -c "source LinuxIntelEnv.Set.sh; dmake"</command></userinput></screen>
 
<para>If you have downloaded localized help content <filename>tgz</filename>
files, you will need to untar them to the appropriate directory as shown
below and then recreate the installation set:</para>
 
<screen><userinput><command>for i in ../helpcontent_*_unix.tgz
do tar -C solver/645/unxlngi4.pro/pck -zxf $i
done &amp;&amp;
rm -rf instsetoo/unxlngi4.pro &amp;&amp;
bash -c "source LinuxIntelEnv.Set.sh ; dmake"</command></userinput></screen>
 
<para>Install <application>OpenOffice</application> using the following
commands to install the US English language set. To install a localized
version, replace the 01 with the international telephone country code for
your country:</para>
 
<screen><userinput><command>cd instsetoo/unxlngi4.pro/01/normal &amp;&amp;
sed -i "s:^oo_home=.*:oo_home=openoffice:" install &amp;&amp;
./install --prefix=/opt &amp;&amp;
for appl in sagenda scalc sdraw sfax simpress slabel sletter \
smaster smath smemo soffice spadmin svcard sweb swriter
do ln -sf /opt/openoffice/program/$appl /usr/bin/$appl
done</command></userinput></screen>
 
<para>If you have installed <xref linkend="desktop-file-utils"/> and use
<application>KDE</application>, there is no furthur configuration
necessary. If you use <application>Gnome</application>, you should copy
the <filename>*.desktop</filename> files to
<filename>/usr/share/applications</filename> with the following
commands:</para>
 
<screen><userinput><command>install -d /usr/share/applications -m 755 &amp;&amp;
cp /opt/openoffice/share/gnome/net/ooo645*.desktop \
/usr/share/applications/ &amp;&amp;
rename ooo645 ooo /usr/share/applications/ooo645*.desktop</command></userinput></screen>
 
<para>Finally, return your environment to it's original state:</para>
 
<screen><userinput><command>export PATH=$PATH_HOLD &amp;&amp;
rm -f /usr/g++-v3</command></userinput></screen>
 
</sect2>
 
<sect2>
<title>Command explanations</title>
 
<para>
<command>mv ../gpc231/gpc.* external/gpc</command>: Copy the gpc files to the
appropriate location.</para>
 
<para><parameter>--with-lang=ENUS</parameter>: Make install set for the
US English language.</para>
 
<para><parameter>--with-dict=ENUS</parameter>: Install dictionaries for
the US English language.</para>
 
<para><parameter>--enable-libart</parameter>: Use libart instead of gpc for
polygon clipping.</para>
 
<para><parameter>--with-libsn</parameter>: Use
<application>startup-notification</application>.</para>
 
<para><parameter>--disable-java</parameter>: Do not build components that need
java.</para>
 
<para><parameter>--without-gpc</parameter>: Do not use gpc. Removes polygon
clipping capability.</para>
 
<para><parameter>--without-fonts</parameter>: Do not install Bitstream Vera
fonts since they are already bundled with <application>X</application>.</para>
 
<para><parameter>--with-system-curl</parameter>: Use the system
installed curl.</para>
 
<para><command>./bootstrap</command>: Create packages required to bootstrap
the build.</para>
 
<para><command>dmake</command>: Compile the package.</para>
 
<para><command>sed -i "s:^oo_home=...</command>: Remove version specific
installation directory.</para>
 
<para><command>for appl in sagenda scalc sdraw sfax ...;
do ...</command>: Create links so that the package can be started from the
command-line without changes to the existing path.</para>
 
</sect2>
 
<sect2>
<title>Contents</title>
 
<para>The <application>OpenOffice</application> package contains
<command>sagenda</command>, <command>scalc</command>,
<command>sdraw</command>, <command>sfax</command>,
<command>simpress</command>, <command>slabel</command>,
<command>sletter</command>, <command>smaster</command>,
<command>smath</command>, <command>smemo</command>,
<command>soffice</command>, <command>spadmin</command>,
<command>svcard</command>, <command>sweb</command>,
<command>swriter</command>, <application>OpenOffice</application>
libraries and support utilities.</para>
 
</sect2>
 
<sect2><title>Description</title>
 
<sect3><title>sagenda</title>
<para>Create an agenda template and start
<command>swriter</command>.</para></sect3>
 
<sect3><title>scalc</title>
<para>Spreadsheet application.</para></sect3>
 
<sect3><title>sdraw</title>
<para>Drawing application.</para></sect3>
 
<sect3><title>sfax</title>
<para>Create a fax template and start
<command>swriter</command>.</para></sect3>
 
<sect3><title>simpress</title>
<para>Presentation application.</para></sect3>
 
<sect3><title>slabel</title>
<para>Create a label template and start
<command>swriter</command>.</para></sect3>
 
<sect3><title>sletter</title>
<para>Create a letter template and start
<command>swriter</command>.</para></sect3>
 
<sect3><title>smaster</title>
<para>Creates a new master document.</para></sect3>
 
<sect3><title>smath</title>
<para>Mathematical formula editor.</para></sect3>
 
<sect3><title>smemo</title>
<para>Create a memo template and start
<command>swriter</command>.</para></sect3>
 
<sect3><title>soffice</title>
<para>Opens a base window with access to all
<application>OpenOffice</application> applications.</para></sect3>
 
<sect3><title>spadmin</title>
<para><application>OpenOffice</application> Printer Configuration. You may
need to run this if you are having any printing problems.</para></sect3>
 
<sect3><title>svcard</title>
<para>Business card application.</para></sect3>
 
<sect3><title>sweb</title>
<para>An <acronym>HTML</acronym> editor.</para></sect3>
 
<sect3><title>swriter</title>
<para>Word processing application.</para></sect3>
 
</sect2>
 
</sect1>